JexlEngine.EmptyContext (Apache Commons JEXL 3.7.0 API)
Description: declaration: package: org.apache.commons.jexl3, class: JexlEngine, class: EmptyContext

Package org.apache.commons.jexl3

# Class JexlEngine.EmptyContext

java.lang.Object
org.apache.commons.jexl3.JexlEngine.EmptyContext

All Implemented Interfaces:
  `JexlContext`

Enclosing class:
  `JexlEngine`

public static final class JexlEngine.EmptyContext extends Object implements JexlContext
The empty context class, public for instrospection.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.commons.jexl3.JexlContext

  `JexlContext.AnnotationProcessor, JexlContext.CancellationHandle, JexlContext.ClassNameResolver, JexlContext.ModuleProcessor, JexlContext.NamespaceFunctor, JexlContext.NamespaceResolver, JexlContext.OptionsHandle, JexlContext.PragmaProcessor, JexlContext.ThreadLocal`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `get(String name)`
  Gets the value of a variable.
  `boolean`
  `has(String name)`
  Checks whether a variable is defined in this context.
  `void`
  `set(String name, Object value)`
  Sets the value of a variable.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### get

    public Object get(String name)
    Description copied from interface: `JexlContext`
    Gets the value of a variable.
    Specified by:
      `get` in interface `JexlContext`
    Parameters:
      `name` - the variable's name.
    Returns:
      the value.

  - ### has

    public boolean has(String name)
    Description copied from interface: `JexlContext`
    Checks whether a variable is defined in this context.

    A variable may be defined with a null value; this method checks whether the value is null or if the variable is undefined.

    Specified by:
      `has` in interface `JexlContext`
    Parameters:
      `name` - the variable's name.
    Returns:
      true if it exists, false otherwise.

  - ### set

    public void set(String name, Object value)
    Description copied from interface: `JexlContext`
    Sets the value of a variable.
    Specified by:
      `set` in interface `JexlContext`
    Parameters:
      `name` - the variable's name.
      `value` - the variable's value.